Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ glib2-devel
# END SourceDeps(oneline)
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           sweep
Version:        0.9.3
Release:        alt6_32
Summary:        An audio editor and live playback tool
License:        GPLv2+
URL:            http://www.metadecks.org/software/sweep/index.html

Source:         http://prdownloads.sourceforge.net/sweep/%{name}-%{version}.tar.gz
Patch0:         sweep-0.9.3-multithread.patch

BuildRequires:  gcc
BuildRequires:  desktop-file-utils
BuildRequires:  libogg-devel
BuildRequires:  libmad-devel
BuildRequires:  sed
BuildRequires:  libalsa-devel
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libspeex-devel
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Source44: import.info

%description
Sweep is an audio editor and live playback tool for GNU/Linux, BSD and
compatible systems. It supports many music and voice formats including
WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel editing and
LADSPA effects plugins.


%package devel
Group: Development/Other
Summary:        Development files for Sweep
Requires:       libgio
Requires:       gtk-builder-convert gtk-demo

%description devel
Header files and libraries for Sweep development.


%prep
%setup -q
%patch0 -p1 -b .multithread
# fix for wrongly set plugin dir on 64-bit
sed -i 's/sweep_plugin_dir=.*/sweep_plugin_dir="$PACKAGE_PLUGIN_DIR"/' configure


%build
LDFLAGS="-lX11 -lgmodule-2.0"
export LDFLAGS
%configure --disable-rpath
%make_build V=1


%install
make DESTDIR=$RPM_BUILD_ROOT install

# rename binary and manpage because of name conflict with lam package
(cd $RPM_BUILD_ROOT%{_bindir}; mv sweep sweep-audio-editor)
(cd $RPM_BUILD_ROOT%{_mandir}/man1; 
  mv sweep.1 sweep-audio-editor.1
  sed -i -e 's|.B sweep|.B sweep-audio-editor|' sweep-audio-editor.1
)

cat > sweep.desktop << EOF
[Desktop Entry]
Name=Sweep
GenericName=Sound Editor
Comment=Audio editor and live playback tool
Exec=sweep-audio-editor
Icon=sweep.svg
Terminal=false
Type=Application
MimeType=audio/x-wav;audio/x-aiff;audio/x-aifc;application/ogg;audio/x-mp3;audio/mpeg;audio/basic
Encoding=UTF-8
X-Desktop-File-Install-Version=0.9.4
StartupWMClass=Sweep
EOF

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/sweep.desktop
desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
        --vendor fedora \
%endif
        --add-category Application \
        --add-category AudioVideo \
        --add-category AudioVideoEditing \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        sweep.desktop

find $RPM_BUILD_ROOT%{_libdir}/sweep -name "*.la" | xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/sweep -name "*.a" | xargs rm -f

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/sweep*
%{_libdir}/sweep
%{_datadir}/pixmaps/sweep.svg
%{_datadir}/sweep
%{_datadir}/applications/*
%{_mandir}/man*/*
%doc AUTHORS ChangeLog COPYING NEWS README TODO doc/plugin_writers_guide.txt


%files devel
%doc doc/plugin_writers_guide.txt
%{_includedir}/sweep


%changelog
* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.9.3-alt6_32
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.9.3-alt6_31
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.9.3-alt6_30
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.9.3-alt6_29
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt6_28
- update to new release by fcimport

* Fri Jan 15 2021 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt5_28
- fixed build

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_28
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_27
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_26
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_25
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_24
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_23
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_22
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_19
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_18
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_17
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_16
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_15
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_14
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt4_13
- initial fc import

* Thu Aug 20 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9.3-alt4
- build with internal tdb

* Mon Mar 16 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9.3-alt3
- updated build dependencies

* Sun Nov 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.3-alt2
- removed obsolete %%update_menus/%%clean_menus calls

* Sun Apr 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Thu Jan 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt3
- fixed i18n for non-UTF-8 locales (close #13856)

* Sun Nov 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt2
- rebuild

* Mon Jan 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Mon Sep 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.9.1-alt1
- initial release

